class AyaTangheemProperty {
  int totalItemsCount;
  int statusCode;
  String message;
  List<AyaTangheemPropertyData> data;

  AyaTangheemProperty({this.totalItemsCount, this.statusCode, this.message, this.data});

  AyaTangheemProperty.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['data'] != null) {
      data = [];
      json['data'].forEach((v) {
        data.add(new AyaTangheemPropertyData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class AyaTangheemPropertyData {
  String ayaTangheemTypePropertyId;
  String ayaTangheemTypeId;
  String tangheemTypePropertyId;
  String propertyValue;
  int surahNo;
  int ayaNo;
  String ayaText;
  String propertyText;
  String tangheemTypeName;
  String tangheemTypeId;
  bool isInsideTable;
  int orderNo;

  AyaTangheemPropertyData(
      {this.ayaTangheemTypePropertyId,
      this.ayaTangheemTypeId,
      this.tangheemTypePropertyId,
      this.propertyValue,
      this.surahNo,
      this.ayaNo,
      this.ayaText,
      this.propertyText,
      this.tangheemTypeName,
      this.tangheemTypeId,
      this.isInsideTable,
      this.orderNo});

  AyaTangheemPropertyData.fromJson(Map<String, dynamic> json) {
    ayaTangheemTypePropertyId = json['ayaTangheemTypePropertyId'];
    ayaTangheemTypeId = json['ayaTangheemTypeId'];
    tangheemTypePropertyId = json['tangheemTypePropertyId'];
    propertyValue = json['propertyValue'];
    surahNo = json['surahNo'];
    ayaNo = json['ayaNo'];
    ayaText = json['ayaText'];
    propertyText = json['propertyText'];
    tangheemTypeName = json['tangheemTypeName'];
    tangheemTypeId = json['tangheemTypeId'];
    isInsideTable = json['isInsideTable'];
    orderNo = json['orderNo'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ayaTangheemTypePropertyId'] = this.ayaTangheemTypePropertyId;
    data['ayaTangheemTypeId'] = this.ayaTangheemTypeId;
    data['tangheemTypePropertyId'] = this.tangheemTypePropertyId;
    data['propertyValue'] = this.propertyValue;
    data['surahNo'] = this.surahNo;
    data['ayaNo'] = this.ayaNo;
    data['ayaText'] = this.ayaText;
    data['propertyText'] = this.propertyText;
    data['tangheemTypeName'] = this.tangheemTypeName;
    data['tangheemTypeId'] = this.tangheemTypeId;
    data['isInsideTable'] = this.isInsideTable;
    data['orderNo'] = this.orderNo;
    return data;
  }
}
